Subject: [bug#68564] [PATCH] build-system: fix the Chicken build system

From: Daniel Ziltener <[email-masked]>
Date: Fri, 8 Mar 2024 10:49:41 +0100

Sorry for the late correction. I removed the `with-build-variables` again.

The reasons I moved the `setenv` are: I wanted to have them grouped 
together, and the CHICKEN_REPOSITORY_PATH is now used properly; before 
that, I assume that whoever wrote the build system mistakenly thought 
CHICKEN_INSTALL_REPOSITORY would be equivalent, which it is not. I also 
just noticed I've left "echo" statements now; I'll remove them in a next 
message.

Best regards,
Daniel Ziltener